FROM ubuntu:16.04

RUN apt-get update && apt-get install -y supervisor python-flask nginx gunicorn python-pip; \
	mkdir /app; \
	rm /usr/share/nginx/html/index.html

ADD supervisord.conf /etc/supervisor/conf.d/supervisord.conf

COPY requirements.txt /tmp/
COPY wsgi.py /app/
COPY uwsgi.yml /app/
COPY default /etc/nginx/sites-available/default

RUN pip install -U pip
RUN pip install -r /tmp/requirements.txt

COPY app/ /app/

WORKDIR /app

EXPOSE 80:80

CMD ["/usr/bin/supervisord"]
